package com.chelvc.framework.database.listener;

/**
 * 数据删除操作监听器接口
 *
 * @param <T> 数据类型
 * @author Woody
 * @date 2024/4/30
 */
public interface DeleteListener<T> extends OperateListener<T> {
    /**
     * 监听数据删除
     *
     * @param entity 对象实例
     */
    default void delete(T entity) {
    }
}
