package com.chelvc.framework.database.listener;

/**
 * 数据更新操作监听器接口
 *
 * @param <T> 数据类型
 * @author Woody
 * @date 2024/4/30
 */
public interface ModifyListener<T> extends OperateListener<T> {
    /**
     * 监听数据更新
     *
     * @param before 更新前对象实例
     * @param after  更新后对象实例
     */
    default void modify(T before, T after) {
    }
}
