package com.chelvc.framework.database.listener;

/**
 * 数据新增操作监听器接口
 *
 * @param <T> 数据类型
 * @author Woody
 * @date 2024/4/30
 */
public interface AddListener<T> extends OperateListener<T> {
    /**
     * 监听数据新增
     *
     * @param entity 对象实例
     */
    default void add(T entity) {
    }
}
